Tiny Core Linux

General TC => International Talk => Topic started by: ftmouse on November 23, 2009, 05:13:29 AM

Title: (CN) You do not appear to have the sources for the 2.6.29.1-tinycore kernel installed
Post by: ftmouse on November 23, 2009, 05:13:29 AM
 我安装了 tiny core linux  并且安装了 gcc-4.4.0
当我试图编译 一个程序的时候 提示了如下错误
You do not appear to have the sources for the 2.6.29.1-tinycore kernel installed.

好像是说 需要 kernel 的 dev ,希望大家能帮我 解答
谢谢 !
Title: Re: You do not appear to have the sources for the 2.6.29.1-tinycore kernel installed
Post by: Jason W on November 23, 2009, 05:32:12 AM
Hi,
 
Please keep non-English questions in the International Talk section.

You need the linux-headers-2.6.29.1-tinycore.tcz extension installed when compiling things that need kernel sources.  Also, remember that if you use gcc-4.4.0 any extensions built with it would most likely depend on the updated gcc libs that are in that extension.  Best to use the standard gcc that comes with the compiletc metapackage for normal use, unless the newer gcc is required.

Hope this helps.
Title: Re: You do not appear to have the sources for the 2.6.29.1-tinycore kernel installed
Post by: David_Dai on November 07, 2010, 01:43:11 AM
Hi,
 
Please keep non-English questions in the International Talk section.

You need the linux-headers-2.6.29.1-tinycore.tcz extension installed when compiling things that need kernel sources.  Also, remember that if you use gcc-4.4.0 any extensions built with it would most likely depend on the updated gcc libs that are in that extension.  Best to use the standard gcc that comes with the compiletc metapackage for normal use, unless the newer gcc is required.

Hope this helps.

太好了感谢楼上的回答,
我也刚好遇到这个问题!